html, body {
            height: 100%;
            margin: 0;
            display: flex;
            flex-direction: column;
        }

        body {
            font-family: 'Titillium Web', sans-serif;
        }

        .page-wrapper {
            flex: 1;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            /* Ensures the footer stays at the bottom */
        }

        main {
            flex: 1;
            padding-top: 5%;
        }

        .page-footer {
            background-color: #f1f1f1; /* Optional styling */
            padding: 10px;
            text-align: left;
        }

        button {
            background: none;
            color: inherit;
            border: none;
            padding: 0;
            font: inherit;
            cursor: pointer;
            outline: inherit;
        }

        .overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: none;
            z-index: 999;
        }

    .popup {
        position: fixed;
        top: 30%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: white;
        padding: 30px;
        border-radius: 8px;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
        z-index: 1001;
        display: none;
        width: 60%;
        max-width: 600px;
        height: auto;
        max-height: 80vh;
        overflow-y: auto;
    }

        .popup h2 {
            margin-top: 0;
            font-size: 2.5rem;
        }

        .popup p {
            font-size: 1.5rem;
        }

        .popupbutton-container {
             padding-top: 10%; display: flex;
            justify-content: space-between;
        }

        .popupbutton-text {
            color: purple;
            text-decoration: none;
            cursor: pointer;
            padding: 5px;
            font-weight: bold;
        }

        .popupbutton-text:hover {
            text-decoration: underline;
        }

        .product-item-info a.tocompare {
            display: none !important;
        }